commit:     da805ef2041f4880d36cb9b637eff431f2ed8a01
Author:     Moritz Schlarb <moschlar <AT> metalabs <DOT> de>
AuthorDate: Wed May 10 19:51:43 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 20 18:54:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da805ef2

net-libs/ccnet: Version bump to 6.0.6

 net-libs/ccnet/Manifest           |  1 +
 net-libs/ccnet/ccnet-6.0.6.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/net-libs/ccnet/Manifest b/net-libs/ccnet/Manifest
index dbf9c8dc957..92a316b89c4 100644
--- a/net-libs/ccnet/Manifest
+++ b/net-libs/ccnet/Manifest
@@ -1 +1,2 @@
 DIST ccnet-6.0.4.tar.gz 178939 SHA256 
2156787fc9ae1e4293493f0ce398aa8b97d84b9f0201d2fd6986b736bd249b04 SHA512 
be44b1654ee641fdbd48b288b1b04f9aeb6f441225ddc52532e5f81145657f79241555132b848a57a241eacc4bb7149ad27b930ca532ab74615d4babb4027c2c
 WHIRLPOOL 
f49294b8c819a69cbbc9878e32382e2f3f65bf5e0af3da7a8590f206a9dc98e45ef9360f8044d021975c8b67a2d2d7c5ebe3f383855e5d0a98a8b6da3e4baa3e
+DIST ccnet-6.0.6.tar.gz 179362 SHA256 
6b3ac78f645929f6b8633fdd65c1e7b4066cf9038b4228c64f7f389c7c446f46 SHA512 
76a2c289b7303cc174c5c351a85e91cc9cc94e798e4aea682e48bca2c869e8845b22112568678c87bf8f7461b9188d726eafa9d35766212dfbda5d3d915293da
 WHIRLPOOL 
02af93c78567a8e0522b1ffe1c9a0de7c9e63c40beca4d631871ef9a46ad1ff6e612959b09888e4ce09f332dc3882ba571568e5a2061b5f8c932c377a0417269

diff --git a/net-libs/ccnet/ccnet-6.0.6.ebuild 
b/net-libs/ccnet/ccnet-6.0.6.ebuild
new file mode 100644
index 00000000000..e78f3357f6e
--- /dev/null
+++ b/net-libs/ccnet/ccnet-6.0.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit autotools python-single-r1 vala
+
+DESCRIPTION="Ccnet is a framework for writing networked applications in C"
+HOMEPAGE="https://github.com/haiwen/ccnet http://seafile.com/";
+SRC_URI="https://github.com/haiwen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       net-libs/libsearpc[${PYTHON_USEDEP}]
+       >=dev-libs/glib-2.16.0:2
+       >=dev-libs/libevent-2.0
+       dev-libs/openssl:0=
+       dev-db/sqlite:3"
+DEPEND="${RDEPEND}
+       $(vala_depend)"
+
+src_prepare() {
+       default
+       sed -i -e "s/(DESTDIR)//" libccnet.pc.in || die
+       sed -i -e 's/valac /${VALAC} /' lib/Makefile.am || die
+       eautoreconf
+       vala_src_prepare
+}

Reply via email to